{% extends 'admin.html.twig' %}

{% block title %}Components index{% endblock %}

{% block body %}
    <h1 class="text-center">Components </h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Type</th>
                <th></th>
                <th>Nom</th>
                <th>Price</th>
                <th>Size</th>
                <th>Frequency</th>
                <th>Power</th>
                <th>Pcies</th>
                <th></th>
                <th>Socket</th>
                <th></th>
                
            </tr>
        </thead>
        <tbody>
        {% for component in components %}
            <tr>
                <td>{{ component.id }}</td>
                <td>{{ component.Type }}</td>
                <td></td>
                <td><a  href="{{ path('components_show', {'id': component.id}) }}">{{ component.Name }}</a></td>

                <td> <a href="{{ component.Url }}"> Acheter </a></td>
                <td>{{ component.Price }}</td>
                <td>{{ component.Size }}</td>
                <td>{{ component.Frequency }}</td>
                <td>{{ component.Power }}</td>
                <td>{{ component.Pcies }}</td>
                <td>{{ component.Socket }}</td>
                <td>
                {{ include('components/_delete_form.html.twig') }}
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="11">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a class='mb-5 btn btn-primary btn-rounded' href="{{ path('components_new') }}">Create new</a>
{% endblock %}
